Class QueryPatientResourceResponseMessage

java.lang.Object
org.hl7.fhir.r4.model.Base
org.hl7.fhir.r4.model.BaseResource
org.hl7.fhir.r4.model.Resource
org.hl7.fhir.r4.model.Bundle
org.openehealth.ipf.commons.ihe.fhir.pixpdq.model.QueryPatientResourceResponseMessage
All Implemented Interfaces:
IElement, Serializable, IAnyResource, IBase, IBaseBundle, IBaseResource

public class QueryPatientResourceResponseMessage extends Bundle
Bundle for ITI-78 Mobile Patient Demographics Query Response as defined by the PDQm specification. This is a searchset Bundle containing Patient resources that match the query parameters.
Since:
5.2
Author:
Christian Ohr
See Also:
  • Constructor Details

    • QueryPatientResourceResponseMessage

      public QueryPatientResourceResponseMessage()
  • Method Details

    • copy

      Overrides:
      copy in class Bundle
    • copyValues

      public void copyValues(QueryPatientResourceResponseMessage dst)
    • getPatients

      public List<Patient> getPatients()
      Get all patients from the response bundle
      Returns:
      list of Patient resources
    • hasPatients

      public boolean hasPatients()
      Check if the response contains any patients
      Returns:
      true if there are patients in the response
    • getPatientCount

      public int getPatientCount()
      Get the number of patients in the response
      Returns:
      count of patients
    • addPatient

      public QueryPatientResourceResponseMessage addPatient(PdqmPatient patient)
      Add a patient to the response bundle
      Parameters:
      patient - the PdqmPatient to add
      Returns:
      this bundle for method chaining